def process_dct(
    dct, prefix="", valid_types=(str, int, float), force_fun=str, wrapper_fun=None
):
    if dct is None:
        return {}
    processed_dict = {}
    for key, value in dct.items():
        processed_key = f"{prefix}{key}"
        if valid_types and force_fun:
            processed_value = (
                value if isinstance(value, valid_types) else force_fun(value)
            )
        else:
            processed_value = value
        if wrapper_fun:
            processed_value = wrapper_fun(processed_value)
        processed_dict[processed_key] = processed_value
    return processed_dict
